tracker-search(1)

NAME
tracker-search - Search all content for keywords

SYNOPSIS
tracker-search [OPTION...] EXPRESSION [EXPRESSION...]

DESCRIPTION
tracker-search searches all indexed content for EXPRESSION. The resource in which EXPRESSION matches must exist (see --all for more information). All results are returned in ascending order. In all cases, if no EXPRESSION is given for an argument (like --folders for example) then ALL items in that category are returned instead.

EXPRESSION
    One or more terms to search. The default operation is a logical AND. For logical OR operations, see -r.

OPTIONS

-?, --help
    Give a short help message.

-l, --limit=N
    Limit search to N results. The default is 512.

-o, --offset=N
    Offset the search results by N. For example, start at item number 10 in the results. The default is 0.

-r, --or-operator
    Use OR for search terms instead of AND (the default)

-d, --detailed
    Show the unique URN associated with each search result. This does not apply to --music-albums and --music-artists.

-a, --all
    Show results which might not be available. This might bebecause a removable media is not mounted for example. Without this option, resources are only shown if they exist. This option applies to all command line switches except --music-albums and --music-artists.

-f, --files=EXPRESSION
    Search for files of any type matching EXPRESSION (optional).

-e, --folders=EXPRESSION
    Search for folders matching EXPRESSION (optional).

-m, --music=EXPRESSION
    Search for music files matching EXPRESSION (optional).

--music-albums=ALBUM
    Search for music albums matching ALBUM (optional).

--music-artists=ARTIST
    Search for music artists matching ARTIST (optional).

-l, --images=EXPRESSION
    Search for images matching EXPRESSION (optional).

-v, --videos=EXPRESSION
    Search for videos matching EXPRESSION (optional).

-t, --documents=EXPRESSION
    Search for documents matching EXPRESSION (optional).

-e, --emails=EXPRESSION
    Search for emails matching EXPRESSION (optional). Returns a list of subjects for emails found.

-c, --contacts=EXPRESSION
    Search for contacts matching EXPRESSION (optional). Returns a list of names and email addresses found.

--software=EXPRESSION
    Search for software installed matching EXPRESSION (optional). Returns a list of desktop files and application titles found.

--software-categories=EXPRESSION
    Search for software categories matching EXPRESSION (optional). Returns a list of urns and their categories (e.g. Settings, Video, Utility, etc).

--feeds=EXPRESSION
    Search through RSS feed information matching EXPRESSION (optional). Returns a list of those found.

-b, --bookmarks=EXPRESSION
    Search through bookmarks matching EXPRESSION (optional). Returns a list titles and links for each bookmark found.

-V, --version
    Print version.

SEE ALSO
tracker-store(1), tracker-stats(1), tracker-tag(1), tracker-info(1).